Subject: Re: bug#27862: tor-hidden-service should support IPv6

From: ng0 <[email-masked]>
Date: Wed, 2 Aug 2017 22:45:05 +0000

Ludovic Courtès transcribed 0.4K bytes:
> ng0 <[email-masked]> skribis:
> 
> > Right now the tor-hidden-service only supports IPv4 naming scheme,
> > while it is possible to define IPv6 for tor aswell.
> 
> ‘tor-hidden-service’ does not interpret addresses.  So one could write,
> say:
> 
>   (80 . "[::1]:80")

Oh. Okay, I did not even try it because I live on the dark side of IPv6 ;)
Then all which needs to be done is a small extension of the documentation
of tor-hidden-service.

> and that’d be IPv6 (talking to localhost over IPv6 is great ;-)).
> It is what you had in mind?
> 
> > Someone should fix this.
> 
> I agree, someone!
> 
> Thanks,
> Ludo’.
> 

-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://n0is.noblogs.org/my-keys
https://www.infotropique.org https://krosos.org